package CH.ifa.draw.standard;

import java.util.Set;
import javax.swing.AbstractButton;

import de.renew.draw.ui.ontology.Toolbar;

/**
 * The type representing a toolbar that does nothing.
 * @deprecated This class is not to be used externally and will later be hidden.
 */
@Deprecated(since = "5.0", forRemoval = true)
public class NullToolbar implements Toolbar {

    public static final Toolbar INSTANCE = new NullToolbar();

    @Override
    public void addTools(Set<AbstractButton> buttons, String name) {

    }

    @Override
    public void addTools(Set<AbstractButton> buttons, String name, String description) {

    }

    @Override
    public void removeTools(String name) {

    }
}
